DATE(1)

NUME
data - afișează sau configurează data și ora sistemului

REZUMAT
date [OPȚIUNE]... [+FORMAT]
date [-u|--utc|--universal] [LLZZhhmm[[CC]AA][.ss]]

DESCRIERE

Afișează data și ora în FORMATul dat. Cu -s sau cu [LLZZhhmm[[CC]AA][.ss]], stabilește data și ora.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

-d, --date=ȘIR
    afișează ora descrisă de ȘIR, nu de „now” (acum)

--debug
    adnotă datele analizate, și avertizează despre utilizarea îndoielnică a ieșirii de eroare standard

-f, --file=FIȘIER_DATE
    ca --date, dar pentru fiecare rând din FIȘIER_DATE

-I[FMT], --iso-8601[=FMT]
    data/ora de ieșire în format ISO 8601. FMT=„date” numai pentru dată (implicit), „hours”, „minutes”, „seconds”, sau „ns” pentru a specifica acuratețea datei și orei. Exemplu: 2006-08-14T02:34:56-06:00

--resolution
    afișează rezoluția disponibilă a marcajelor de timp Exemplu: 0.000000001

-R, --rfc-email
    data și ora de ieșire în format RFC 5322. Exemplu: Sat, 14 May 2022 15:10:21 +0300

--rfc-3339=FMT
    data/ora de ieșire în format RFC 3339. FMT=„date”, „seconds”, sau „ns” pentru a specifica acuratețea datei și orei. Exemplu: 2006-08-14 02:34:56-06:00

-r, --reference=FIȘIER
    afișează ora ultimei modificări a FIȘIERULUI

-s, --set=ȘIR
    stabilește ora descrisă de ȘIR

-u, --utc, --universal
    afișează sau stabilește Ora Universală Coordonată (UTC)

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

FORMATUL controlează ieșirea. Secvențele interpretate sunt:

%%  un literal %

%a  numele abreviat, localizat, al zilei săptămânii (de exemplu, Dum)

%A  numele complet, localizat, al zilei săptămânii (de exemplu, Duminică)

%b  numele abreviat, localizat, al lunii (de exemplu, Ian)

%B  numele complet, localizat, al lunii (de exemplu, Ianuarie)

%c  data și ora localizate (de exemplu, Sb 14 mai 2022 17:17:24 +0300)

%C  secol; ca %Y, cu excepția omiterii ultimelor două cifre (de exemplu, 20)

%d  ziua din lună (de exemplu, 01)

%D  data; la fel ca %m/%d/%y

%e  ziua din lună, spațiu lăsat la început; la fel ca %_d

%F  data completă; ca %+4Y-%m-%d

%g  ultimele două cifre ale anului din numărul săptămânii ISO (vedeți %G)

%G  an corespunzător numărului săptămânii ISO (vezi %V); în mod normal, util doar cu %V

%h  la fel ca %b

%H
      ora (00..23)

%I  ora (01..12)

%j  ziua din an (001..366)

%k  ora, spațiu lăsat la început ( 0..23): la fel ca %_H

%l  ora, spațiu lăsat la început ( 1..12): la fel ca %_I

%m  luna (01..12)

%M  minut (00..59)

%n  o linie nouă

%N  nanosecunde (000000000..999999999)

%p  echivalentul local al AM sau PM; „în alb” dacă nu se cunoaște

%P  ca %p, dar în minuscule

%q  trimestru din an (1..4)

%r  ora locală de 12 ore (de exemplu, 11:11:04 PM)

%R  ora și minutul în formatul de 24 de ore; la fel ca %H:%M

%s  secunde după (1970-01-01 00:00 UTC) până în prezent

%S  secunda (00..60)

%t  un tabulator

%T  ora; identic cu %H:%M:%S

%u  ziua din săptămână (1..7); 1 este Luni

%U  numărul săptămânii din an, cu Duminica ca primă zi a săptămânii (00..53)

%V  numărul săptămânii ISO, cu Luni ca primă zi a săptămânii (01..53)

%w  ziua din săptămână (0..6); 0 este Duminică

%W  numărul săptămânii din an, cu Luni ca primă zi a săptămânii (00..53)

%x  reprezentarea datei localizării (de exemplu, 12.31.99)

%X  reprezentarea orei localizării (de exemplu, 23:13:48)

%y  ultimele două cifre din an (00..99)

%Y  anul

%z  +hhmm fus orar numeric (de exemplu, +0300)

%:z +hh:mm fus orar numeric (de exemplu, +03:00)

%::z
    +hh:mm:ss fus orar numeric (de exemplu, +03:00:00:00)

%:::z
    fus orar numeric cu : cu precizia necesară (de exemplu, +03, +05:30)

%Z  abreviere alfabetică a fusului orar (de exemplu, EEST)

În mod implicit, «date» umple câmpurile numerice cu zerouri. Următoarele fanioane opționale pot urma „%”:

-   (cratima) nu completează câmpul

_   (subliniere) completează cu spații

0   (zero) completează cu zerouri

+   completează cu zerouri, și pune „+” înainte de anii următori cu >4 cifre

^   utilizează majuscule, dacă este posibil

#   utilizează cazul opus, dacă este posibil

După orice fanion, vine o lățime opțională a câmpului, ca un număr zecimal; apoi un modificator opțional, care este fie E pentru a utiliza reprezentările alternative ale localizării dacă sunt disponibile, sau O pentru a utiliza simbolurile numerice alternative ale localizării, dacă sunt disponibile.

EXEMPLE
Convertește secunde de la Epoca (1970-01-01 UTC) într-o dată

    $ date --date='@2147483647'

Afișează ora României (utilizați tzselect(1) pentru a găsi TZ)

    $ TZ='Europe/Bucharest' date

Afișează ora locală pentru ora 10:00 de sâmbăta viitoare, pe teritoriul României

    $ date --date='TZ="Europe/Bucharest" 09:00 next Sat'

ȘIR DE DATĂ
„--date=ȘIR” este un șir de date în format liber, care poate fi citit de oameni, cum ar fi „Dum, 29 feb 2004 16:21:42 +0300” sau „29.02.2004 16:21:42” sau chiar „joia viitoare”. Un șir de date poate conține elemente care indică data calendaristică, ora din zi, fusul orar, ziua săptămânii, ora relativă, data relativă și numere. Un șir gol indică începutul zilei. Formatul șirului de date este mai complex decât este ușor documentat aici, dar este descris complet în documentația «info».

AUTOR
Scris de David MacKenzie.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

DREPTURI DE AUTOR
Drepturi de autor © 2022 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/date>
sau local rulând comanda: «info '(coreutils) date invocation'»

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.